#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityHappySummerRankCFGData
{
	//编号
	int mID;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具
	std::vector<int> mRewardItme;
	//奖励数量
	std::vector<int> mRewardCount;
};

class M_ActivityHappySummerRankCFG
{
public:
private:
	static std::auto_ptr<M_ActivityHappySummerRankCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityHappySummerRankCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityHappySummerRankCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityHappySummerRankCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityHappySummerRankCFGData> mMapData;
};
